This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695976 - (CVE-2011-1577) CVE-2011-1577 kernel: corrupted GUID partition tables can cause kernel oops
CVE-2011-1577 kernel: corrupted GUID partition tables can cause kernel oops
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110413,reported=20110413,sou...
: Security
Depends On: 695979 695980 695981 695982 695983
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 21:40 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 02:39 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-04-12 21:40:10 EDT
The Linux kernel automatically evaluates partition tables of storage devices. The code for evaluating EFI GUID partitions (in fs/partitions/efi.c) contains a bug that causes a kernel oops on certain corrupted GUID partition tables.

Proposed patch:
http://www.spinics.net/lists/mm-commits/msg83274.html

Acknowledgements:

Red Hat would like to thank Timo Warns for reporting this issue.
Comment 3 Eugene Teo (Security Response) 2011-04-12 21:59:27 EDT
Statement:

This issue affects the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4, 5, 6, and Red Hat Enterprise MRG. This has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0833.html, https://rhn.redhat.com/errata/RHSA-2011-1465.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.
Comment 5 Eugene Teo (Security Response) 2011-05-10 21:43:59 EDT
CVE-2011-1577 addresses the overall header size used for a CRC32 computation.
Comment 8 errata-xmlrpc 2011-05-31 10:06:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html
Comment 9 errata-xmlrpc 2011-09-12 15:45:57 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html
Comment 10 errata-xmlrpc 2011-11-22 11:49:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1465 https://rhn.redhat.com/errata/RHSA-2011-1465.html

Note You need to log in before you can comment on or make changes to this bug.